# // SelectAction < P_REQUEST Request >           
+
  select 
  +
    case Request->Scan_code = SC_LEFT:  return MoveLeft
    case Request->Scan_code = SC_RIGHT: return MoveRight
    case Request->Scan_code = SC_UP:    return MoveUp
    case Request->Scan_code = SC_DOWN:  return MoveDown
  ;
  else
  +
    error (DO_ERR_REQUEST)
  ;
;